POW(3)

NAME
pow, powf, powl - power functions

SYNOPSIS
#include <math.h>

double pow(double x, double y);

float powf(float x, float y);

long double powl(long double x, long double y);

Link with -lm.

DESCRIPTION
The pow() function returns the value of x raised to the power of y.

ERRORS
The pow() function can return the following error:

EDOM
    The argument x is negative and y is not an integral value. This would result in a complex number.

CONFORMING TO
SVID 3, POSIX, BSD 4.3, ISO 9899. The float and the long double variants are C99 requirements.

SEE ALSO
cbrt(3), sqrt(3)